<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: DAQ_Link_7S Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">DAQ_Link_7S Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DAQ_Link_7S:</div>
<div class="dyncontent">
<div class="center"><img src="classDAQ__Link__7S__inherit__graph.png" border="0" usemap="#DAQ__Link__7S_inherit__map" alt="Inheritance graph"/></div>
<map name="DAQ__Link__7S_inherit__map" id="DAQ__Link__7S_inherit__map">
<area shape="rect" id="node2" href="classFIFO__RESET__7S.html" title="FIFO_RESET_7S" alt="" coords="5,80,125,107"/><area shape="rect" id="node3" href="classEthernetCRCD32.html" title="EthernetCRCD32" alt="" coords="150,80,279,107"/><area shape="rect" id="node4" href="classcrc16D16.html" title="crc16D16(2)" alt="" coords="304,80,405,107"/><area shape="rect" id="node5" href="classTTS__TRIG__if.html" title="TTS_TRIG_if" alt="" coords="430,80,529,107"/><area shape="rect" id="node6" href="classRAM32x6Db.html" title="RAM32x6Db(2)" alt="" coords="357,5,475,32"/><area shape="rect" id="node7" href="classHamming.html" title="Hamming" alt="" coords="499,5,585,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classDAQ__Link__7S-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDAQ__Link__7S_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classDAQ__Link__7S.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="memitem:a638db61841484c449397fe11129de31c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a638db61841484c449397fe11129de31c"></a>
<a class="el" href="classDAQ__Link__7S.html#a638db61841484c449397fe11129de31c">UNIMACRO</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classDAQ__Link__7S.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:aa1cb22e959d47364391e5eb4ef86927c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1cb22e959d47364391e5eb4ef86927c"></a>
<a class="el" href="classDAQ__Link__7S.html#aa1cb22e959d47364391e5eb4ef86927c">vcomponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:aa477f7e4d4072c90d9a5991785506f27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa477f7e4d4072c90d9a5991785506f27"></a>
<a class="el" href="classDAQ__Link__7S.html#aa477f7e4d4072c90d9a5991785506f27">simulation</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">false</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aae5de5c5aebf7b54ecd36feaba217215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae5de5c5aebf7b54ecd36feaba217215"></a>
<a class="el" href="classDAQ__Link__7S.html#aae5de5c5aebf7b54ecd36feaba217215">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b94b9d69b7702913cc47dc1d7a9513c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b94b9d69b7702913cc47dc1d7a9513c"></a>
<a class="el" href="classDAQ__Link__7S.html#a1b94b9d69b7702913cc47dc1d7a9513c">USE_TRIGGER_PORT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlchar"> </span></b></b> <b><span class="comment">boolean</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae10c566b6ef21431284124fbcfd58cf5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae10c566b6ef21431284124fbcfd58cf5"></a>
<a class="el" href="classDAQ__Link__7S.html#ae10c566b6ef21431284124fbcfd58cf5">UsrClk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a60af7c72f46cfaa82b9e5ee8891c6ffa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60af7c72f46cfaa82b9e5ee8891c6ffa"></a>
<a class="el" href="classDAQ__Link__7S.html#a60af7c72f46cfaa82b9e5ee8891c6ffa">cplllock</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5e49f4a9a9b572e1c3f1657f8121ceeb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e49f4a9a9b572e1c3f1657f8121ceeb"></a>
<a class="el" href="classDAQ__Link__7S.html#a5e49f4a9a9b572e1c3f1657f8121ceeb">RxResetDone</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a983e154f7e9811ad49afd9dff3ec9821"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a983e154f7e9811ad49afd9dff3ec9821"></a>
<a class="el" href="classDAQ__Link__7S.html#a983e154f7e9811ad49afd9dff3ec9821">txfsmresetdone</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af64e43ca4e8fdf101275f41c6e26890c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af64e43ca4e8fdf101275f41c6e26890c"></a>
<a class="el" href="classDAQ__Link__7S.html#af64e43ca4e8fdf101275f41c6e26890c">RXNOTINTABLE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b27b5f88d6cf9d44071f59234b63012"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b27b5f88d6cf9d44071f59234b63012"></a>
<a class="el" href="classDAQ__Link__7S.html#a3b27b5f88d6cf9d44071f59234b63012">RXCHARISCOMMA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae1e2ae71c06c686fe0a72a2383d64af9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae1e2ae71c06c686fe0a72a2383d64af9"></a>
<a class="el" href="classDAQ__Link__7S.html#ae1e2ae71c06c686fe0a72a2383d64af9">RXCHARISK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a10ac2c5eb96e2d86a6f4148b9495b06d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10ac2c5eb96e2d86a6f4148b9495b06d"></a>
<a class="el" href="classDAQ__Link__7S.html#a10ac2c5eb96e2d86a6f4148b9495b06d">RXDATA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa12d30bc71dfe23441ed045830039a02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa12d30bc71dfe23441ed045830039a02"></a>
<a class="el" href="classDAQ__Link__7S.html#aa12d30bc71dfe23441ed045830039a02">TXCHARISK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52bdd81e74c88f257f78a7238ed59253"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52bdd81e74c88f257f78a7238ed59253"></a>
<a class="el" href="classDAQ__Link__7S.html#a52bdd81e74c88f257f78a7238ed59253">TXDATA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9b666914c26a1d9628fbdf671599bac1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b666914c26a1d9628fbdf671599bac1"></a>
<a class="el" href="classDAQ__Link__7S.html#a9b666914c26a1d9628fbdf671599bac1">TTCclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acdfafbe767c315834ce00c43995b3f9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acdfafbe767c315834ce00c43995b3f9a"></a>
<a class="el" href="classDAQ__Link__7S.html#acdfafbe767c315834ce00c43995b3f9a">BcntRes</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a482eee669f208fbee95e79e4395bc92a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a482eee669f208fbee95e79e4395bc92a"></a>
<a class="el" href="classDAQ__Link__7S.html#a482eee669f208fbee95e79e4395bc92a">trig</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1c1bbfe5797feb5a0546acef568fbf6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c1bbfe5797feb5a0546acef568fbf6e"></a>
<a class="el" href="classDAQ__Link__7S.html#a1c1bbfe5797feb5a0546acef568fbf6e">TTSclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adead76051717270fa76861ac11c8f78f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adead76051717270fa76861ac11c8f78f"></a>
<a class="el" href="classDAQ__Link__7S.html#adead76051717270fa76861ac11c8f78f">TTS</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa9aa436bb58770a35034c65258e473d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa9aa436bb58770a35034c65258e473d"></a>
<a class="el" href="classDAQ__Link__7S.html#afa9aa436bb58770a35034c65258e473d">ReSyncAndEmpty</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a47399be3919537eb12d7a9e91b122590"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47399be3919537eb12d7a9e91b122590"></a>
<a class="el" href="classDAQ__Link__7S.html#a47399be3919537eb12d7a9e91b122590">EventDataClk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8decf8a682014a31d42050be172686e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8decf8a682014a31d42050be172686e3"></a>
<a class="el" href="classDAQ__Link__7S.html#a8decf8a682014a31d42050be172686e3">EventData_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa940e280c2152a06e033d52f94f84c39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa940e280c2152a06e033d52f94f84c39"></a>
<a class="el" href="classDAQ__Link__7S.html#aa940e280c2152a06e033d52f94f84c39">EventData_header</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a28b9d629c3a9b2a93353c6aa671aa3f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28b9d629c3a9b2a93353c6aa671aa3f7"></a>
<a class="el" href="classDAQ__Link__7S.html#a28b9d629c3a9b2a93353c6aa671aa3f7">EventData_trailer</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aba97b20fddff9b6d18bc2ea052550790"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba97b20fddff9b6d18bc2ea052550790"></a>
<a class="el" href="classDAQ__Link__7S.html#aba97b20fddff9b6d18bc2ea052550790">EventData</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a11a1bf8f60832f12f7c8044e6f19a6f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11a1bf8f60832f12f7c8044e6f19a6f6"></a>
<a class="el" href="classDAQ__Link__7S.html#a11a1bf8f60832f12f7c8044e6f19a6f6">AlmostFull</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a461dbe63020d76e8cebf1b72ec7e3270"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a461dbe63020d76e8cebf1b72ec7e3270"></a>
<a class="el" href="classDAQ__Link__7S.html#a461dbe63020d76e8cebf1b72ec7e3270">Ready</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff74a6da063d6bc9904a70d517332f09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff74a6da063d6bc9904a70d517332f09"></a>
<a class="el" href="classDAQ__Link__7S.html#aff74a6da063d6bc9904a70d517332f09">sysclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad03fdfa922ce6860feb50b84176c4991"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad03fdfa922ce6860feb50b84176c4991"></a>
<a class="el" href="classDAQ__Link__7S.html#ad03fdfa922ce6860feb50b84176c4991">L1A_DATA_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7152d2ce0dcbeda4d760bfff4f95be76"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7152d2ce0dcbeda4d760bfff4f95be76"></a>
<a class="el" href="classDAQ__Link__7S.html#a7152d2ce0dcbeda4d760bfff4f95be76">L1A_DATA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DAQ__Link__7S_8vhd_source.html#l00037">37</a> of file <a class="el" href="DAQ__Link__7S_8vhd_source.html">DAQ_Link_7S.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/AMC_DAQ_LINK/<a class="el" href="DAQ__Link__7S_8vhd_source.html">DAQ_Link_7S.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
